
// this class is a skeleton of an InvoiceEntry with the same primary function names
// the difference being each function within this format class
// returns a boolean which explains whether or not that content should be included
// in the final invoice.
public class InvoiceEntryFormat 
{
	private boolean title;
	private boolean description;
	private boolean location;
	private boolean hours;
	private boolean dateText;
	
	public InvoiceEntryFormat()
	{
		// set them all to false
		title = false;
		description = false;
		location = false;
		hours = false;
		dateText = false;
	}
	
	// ----------------------------------------------------------------------
	// GETTER FUNCTIONS *****************************************************
	
	public boolean getTitle()
	{
		return title;
	}
	
	public boolean getDescription()
	{
		return description;
	}
	
	public boolean getLocation()
	{
		return location;
	}
	
	public boolean getHours()
	{
		return hours;
	}
	
	public boolean getFormatedDateText()
	{	
		return dateText;
	}
	
	// ----------------------------------------------------------------------
	// SETTER FUNCTIONS *****************************************************
	
	public void setTitle(boolean value)
	{
		title = value;
	}
	
	public void setDescription(boolean value)
	{
		description = value;
	}
	
	public void setLocation(boolean value)
	{
		location = value;
	}
	
	public void setHours(boolean value)
	{
		hours = value;
	}
	
	public void setFormatedDateText(boolean value)
	{	
		dateText = value;
	}
}


